Page MenuHomePhabricator

Move newsletter preference from Translate extension to translatewiki repository
Closed, ResolvedPublic

Description

This is about $wgTranslateNewsletterPreference introduced in rETRA229624e539debcd5ecf747540698566767cae81e

This disabled-by-default preference does not have any benefit to most Translate extension users.

QA plan

Check that Newsletter preference is still visible and has correct value after deployment to translatewiki.net

Expected outcome

Small reduction of Technical debt in Translate.

Event Timeline

Restricted Application added subscribers: Zppix, TerraCodes, Aklapper. · View Herald TranscriptMay 7 2016, 7:37 AM
Nikerabbit triaged this task as Low priority.May 23 2016, 8:04 AM
Aklapper updated the task description. (Show Details)

Change 608855 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Remove newsletter preference and related code

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Translate/ /608855

Change 608854 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[translatewiki@master] Move translatewiki.net newsletter preference form Translate

https://gerrit.wikimedia.org/r/c/translatewiki/ /608854

Change 608854 merged by jenkins-bot:
[translatewiki@master] Move translatewiki.net newsletter preference from Translate

https://gerrit.wikimedia.org/r/608854

Change 608855 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Remove newsletter preference and related code

https://gerrit.wikimedia.org/r/608855

Nikerabbit updated the task description. (Show Details)
Nikerabbit added a subscriber: Jpita.

@Jpita Me or Abijeet will QA this.

abi_ closed this task as Resolved.Jul 21 2020, 4:19 PM
abi_ added a subscriber: abi_.

Tested on translatewiki.net